(defun a(x alpha) 
  (sqrt
   (+
    (square
     (+
      9 (* x (cos alpha))
      )
     )
    (square
     (-
      31 (* x (sin alpha))
      )
     )
    )
   )
  )
(defun b(x alpha) 
  (sqrt
   (+
    (square
     (+
      9 (* x (cos alpha))
      )
     )
    (square
     (-
      (* x (sin alpha)) 6
      )
     )
    )
   )
  )
(defun f(x alpha)
  (acos
   (/ 
    (+
     (square (a x alpha))
     (square (b x alpha))
     -625
     )
    (* 2 (a x alpha) (b x alpha))
    )
   )
  )
(plot (lambda(x) (f x (/ pi 9))) 0 60)
(postscript "day65.20deg.ps")

(plot (lambda(x) (f x (/ pi 2))) 0 60)
(postscript "day65.90deg.ps")

(plot (lambda(x) (f x (/ pi 9))) (lambda(x) (f x (/ pi 2))) 0 60)
(postscript "day65.bothdeg.ps")

(defun summer(alpha)
  (sum
   (mapcar
    #'f
    (* 3 (iseq 21))
    (repeat alpha 21)
    )
   )
  )
(plot summer 0 (/ pi 2))
(postscript "day65.degchange.ps")
